export const Message = {
  app_name: 'Route Planner',
  screen_splash: 'Splash',
  screen_intro: 'Intro',
  screen_sales_page: 'Sales Page',
  screen_location_perm: 'Location Permission',
  screen_dashboard: 'Dashboard',
  screen_route_main: 'Route',
  screen_stop_details: 'Stop Details',
  screen_search_place: 'SearchPlace',
  screen_settings: 'Settings',
  screen_predefined_place: 'Predefined Place',
  screen_history: 'History',
  screen_route_details_main: 'Route Information',
  screen_route_info: 'Route Details',
  screen_stop_completion: 'Stop Completion',
  screen_stop_details_history: 'Stop Details',
  screen_stop_completion_history: 'Stop Completion Details',
  screen_contact_us: 'Contact us',

  sales_title: 'PREMIUM',
  map: 'Map',
  add_route_title: 'Add Route',
  start_location_title: 'Start location',
  end_location_title: 'End location',
  start_location: 'Start location (e.g. depot)',
  end_location: 'End location (e.g. home)',
  set: 'Set',
  stop: 'Stop',
  stops: 'Stops',
  optimize_route: 'Optimize Route',
  optimizing_route: 'Optimizing Route...',
  loading_route: 'Loading Route...',
  add_stop: 'Add stop',
  add_stop_add: 'Add or find stop',
  after_adding_stop_info: "After adding your stops, tap 'Next' to continue",
  enter_address: 'Enter Address',
  no_stops_msg: 'No stops added yet',
  no_stops: 'No stops',
  enter_new_add: 'Enter new address',
  current_location: 'Current Location',
  Add_new_route: 'Add new route',
  edit_route: 'Edit route',
  settings: 'Settings',
  general_pref: 'General prefrences',
  average_time_at_stop: 'Average time at stop',
  enter_mins: 'Enter mins',
  cancel: 'Cancel',
  ok: 'Ok',
  version: 'Version',
  map_pref: 'Map prefrences',
  navigation_app: 'Navigation app',
  predefined_places: 'Saved Places',
  remaining: 'Remaining : ',
  timeAtStop: 'Time at stop : ',
  mins: 'mins',
  done: 'Done',
  duplicate_stop: 'Duplicate stop',
  duplicate_stop_warning: 'Are you sure you want to add again this stop?',
  yes: 'YES',
  no: 'NO',
  remove_stop: 'Remove stop',
  add_address_again: 'Add this address again',
  completed_route: 'Completed Route',
  completed: 'Completed',
  enter_origin: 'Enter origin',
  enter_destination: 'Enter destination',
  search_place: 'Search place',
  predefined_place_title: 'Add place',
  predefined_place_title_edit: 'Edit place',
  remove_add: 'Remove address',
  no_route_found: 'No route found',
  stops_exceed_limit: 'Please remove 1 stop to add destination',
  route_name_placeholder: 'Enter route name',
  create: 'Create',
  routes: 'My routes',
  rename_route: 'Rename Route',
  delete_route: 'Delete Route',
  duplicate_route: 'Duplicate Route',
  // delete_route: 'Delete Route',
  delete_route_warning: 'Are you sure you want to delete this route?',
  route_name_duplicate_warning: 'Please choose another name',
  can_not_delete_route: 'can not delete route',
  terminate_route: 'Terminate route',
  terminate_route_warning: 'Are you sure you want to terminate this route?',
  create_route: 'Create route',
  select: 'Select action',
  time_at_stop: 'Time at stop',
  select_map: 'Select Map',
  Error: 'Error',
  save: 'Save',
  enter_label: 'Enter place name',
  address: 'Address',
  label: 'Place name',
  search_address: 'Search address',
  home: 'Home',
  work: 'Work',
  other: 'Other',
  add: 'ADD',
  tap_to_add_add: 'Tap to add address',
  round_trip: 'Round trip',
  confirm: 'Continue',
  restore: 'Restore',
  terms: 'Terms',
  privacy: 'Privacy',
  rename: 'Rename',
  share_route: 'Share route',
  // rename_route: 'Rename route',
  import_route: 'Import route',
  history: 'History',
  no_internet: 'No internet',
  no_completed_routes: 'No completed routes',
  give_review: 'Give Review',
  review_title: 'Enjoying Route Planner?',
  rating: 'Rating',
  next: 'Next',
  // home: 'Home',
  reached: 'Reached',
  empty_duplicate_route: 'can not copy empty route',
  enable_location_service: 'Enable Location Services',
  enable_location_service_desc:
    'Please go to Settings and enable location service for RoutePlanner',
  skip_intro: 'GET STARTED',
  location_permission_title: 'Enable your location',
  location_permission_desc:
    'Please allow us access to your current location to use navigation feature.',
  use_my_loc: 'Use My Location',
  skip_for_now: 'Skip for now',
  notes: 'Notes',
  placeholder_notes: 'Write here',
  contact_name: 'Contact Name',
  contact_phone: 'Contact Phone',
  name: 'Name',
  phone: 'Phone',
  success: 'Success',
  failed: 'Failed',
  stop_finished: 'Stop Finished',
  delivery_option: 'Delivery Option',
  placeholder_failure_option: 'Click for failure option',
  select_delivery_option: 'Select delivery option',
  signature: 'Signature',
  reset: 'Reset',
  photo: 'Photo',
  upload_image: 'Upload Image',
  start_navigation: 'Start next stop',
  route_link: 'Route Link',
  add_link_here: 'Add link here',
  import: 'Import',
  Stop_details_history: 'Stop Information',
  // optimize_route: 'Optimize Route',
  start_route: 'Start Route',
  delivery_status: 'Delivery Status',
  destination: 'Destination',
  origin: 'Origin',
  // stop: 'Stop',
  want_to_save_signature: 'Do you want to save signature?',
  credit_warning_msg_1: 'You have ',
  credit_warning_msg_2: ' credit left. Upgrade to create more routes.',
  upgrade_now: 'Upgrade Now',
  no_photo: 'No Photo',
  no_signature: 'No Signature',
  undo: 'Undo',
  next_stop_confirmation: 'Next Stop',
  next_stop_confirmation_warning: 'Are you sure you want to go next stop?',
  not_valid_import_route: 'Invalid route link',
  update: 'Update',
  delete: 'Delete',
  delete_confirmation_warning: 'Are you sure you want to delete?',

  sales_page_1: 'Route Planning',
  sales_page_2: 'Route Estimation',
  sales_page_3: 'History Management',
  sales_page_4: 'Save time and fuel',

  sales_page_desc_1: 'Plan routes with multiple destinations in optimised way',
  sales_page_desc_2:
    'Know exactly how long a route will take and how many miles you will drive',
  sales_page_desc_3: 'Manage history of all completed routes',
  sales_page_desc_4:
    'Drivers save more time spent on the road and money on fuel',

  //maps
  google_maps: 'Google Maps',
  apple_maps: 'Apple Maps',

  //db keys
  DB_COMPLETED_ROUTES: 'completed_routes',
  DB_ROUTES: 'routes',
  DB_CURRENT_ROUTE: 'current',
  DB_PLANS: 'plans',
  DB_CREDIT: 'Credit',
  // DB_CREDIT: 'Credit',
  DB_COUNTRY: 'Country',
};

//for redux
export const ActionTypes = {
  SET_ROUTES: 'SET_ROUTES',
  SET_CURRENT_ROUTE: 'SET_CURRENT_ROUTE',
};
